# Uses of Interface
net.shibboleth.idp.saml.nameid.NameIdentifierGenerationService

Packages that use NameIdentifierGenerationService
Package
Description
net.shibboleth.idp.saml.nameid.impl
Implementation of SAML `NameID` and `NameIdentifier` generation and consumption.

## Uses of NameIdentifierGenerationService in net.shibboleth.idp.saml.nameid.impl

Classes in net.shibboleth.idp.saml.nameid.impl that implement NameIdentifierGenerationService
Modifier and Type
Class
Description
`class`
`NameIdentifierGenerationServiceImpl`
Implementation of `NameIdentifierGenerationService`.
Fields in net.shibboleth.idp.saml.nameid.impl with type parameters of type NameIdentifierGenerationService
Modifier and Type
Field
Description
`private final ReloadableService<NameIdentifierGenerationService>`
ProxySAML1NameIdentifierGenerator.`generatorService`
Service used to get the generator to proxy.
`private final ReloadableService<NameIdentifierGenerationService>`
ProxySAML2NameIDGenerator.`generatorService`
Service used to get the generator to proxy.
Constructor parameters in net.shibboleth.idp.saml.nameid.impl with type arguments of type NameIdentifierGenerationService
Modifier
Constructor
Description
``
`ProxySAML1NameIdentifierGenerator(ReloadableService<NameIdentifierGenerationService> service)`
Constructor.
``
`ProxySAML2NameIDGenerator(ReloadableService<NameIdentifierGenerationService> service)`
Constructor.